Bug 1459322 - [abrt] bluez: browse_cb(): bluetoothd killed by SIGSEGV
[abrt] bluez: browse_cb(): bluetoothd killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:56bc7df2c0c00680ae7c77147ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 15:32 EDT by Maxim Therrien
Modified: 2017-12-12 05:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.14 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: cgroup (238 bytes, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: core_backtrace (2.61 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: dso_list (1.83 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: environ (129 bytes, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: maps (8.89 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: mountinfo (4.14 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: namespaces (98 bytes, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: open_fds (1.36 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: proc_pid_status (1.22 KB, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details
File: var_log_messages (377 bytes, text/plain)
2017-06-06 15:32 EDT, Maxim Therrien
no flags Details

  None (edit)
Description Maxim Therrien 2017-06-06 15:32:30 EDT
Description of problem:
Attempting to connect MDR-zx220BT bluetooth headphones, GNOME's bluetooth settings panel crashed every time.

Version-Release number of selected component:
bluez-5.44-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: browse_cb
executable:     /usr/libexec/bluetooth/bluetoothd
global_pid:     766
kernel:         4.11.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 browse_cb at src/device.c:4523
 #1 search_completed_cb at src/sdp-client.c:205
 #2 sdp_process at lib/sdp.c:4354
 #3 search_process_cb at src/sdp-client.c:230
Comment 1 Maxim Therrien 2017-06-06 15:32:36 EDT
Created attachment 1285570 [details]
File: backtrace
Comment 2 Maxim Therrien 2017-06-06 15:32:38 EDT
Created attachment 1285571 [details]
File: cgroup
Comment 3 Maxim Therrien 2017-06-06 15:32:39 EDT
Created attachment 1285572 [details]
File: core_backtrace
Comment 4 Maxim Therrien 2017-06-06 15:32:40 EDT
Created attachment 1285573 [details]
File: dso_list
Comment 5 Maxim Therrien 2017-06-06 15:32:42 EDT
Created attachment 1285574 [details]
File: environ
Comment 6 Maxim Therrien 2017-06-06 15:32:43 EDT
Created attachment 1285575 [details]
File: exploitable
Comment 7 Maxim Therrien 2017-06-06 15:32:45 EDT
Created attachment 1285576 [details]
File: limits
Comment 8 Maxim Therrien 2017-06-06 15:32:46 EDT
Created attachment 1285577 [details]
File: maps
Comment 9 Maxim Therrien 2017-06-06 15:32:47 EDT
Created attachment 1285578 [details]
File: mountinfo
Comment 10 Maxim Therrien 2017-06-06 15:32:49 EDT
Created attachment 1285579 [details]
File: namespaces
Comment 11 Maxim Therrien 2017-06-06 15:32:50 EDT
Created attachment 1285580 [details]
File: open_fds
Comment 12 Maxim Therrien 2017-06-06 15:32:51 EDT
Created attachment 1285581 [details]
File: proc_pid_status
Comment 13 Maxim Therrien 2017-06-06 15:32:52 EDT
Created attachment 1285582 [details]
File: var_log_messages
Comment 14 Lorenzo Pistone 2017-07-15 03:17:06 EDT
Similar problem has been detected:

pairing a Jaybird X3 device.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: browse_cb
executable:     /usr/libexec/bluetooth/bluetoothd
global_pid:     779
kernel:         4.11.9-200.fc25.x86_64
package:        bluez-5.44-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         bluetoothd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 15 Lorenzo Pistone 2017-07-15 04:15:32 EDT
This is not fixed in bluez 5.46.
Comment 16 Fedora End Of Life 2017-11-16 09:10:02 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-12-12 05:41:51 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.